Subject: Re: [Lsr] Working Group Last Call for OSPF LLS Extensions for Local Interface ID Advertisement - draft-ietf-ospf-lls-interface-id-02

From: "Acee Lindem (acee)" <[email-masked]>
Date: Mon, 18 Jun 2018 18:51:32 +0000

Speaking as WG member, I support publication of the subject document. I have the following comments:

  1.  The normative text saying that the TLV MUST be included needs to be changed from section 3.1. I’m sure you didn’t mean this since LLS itself isn’t mandatory and this isn’t backward compatible.
  2.  Add a reference to RFC 8379 to section 2 or a new section indicating that this mechanism suffers from many of the same shortcomings as using OSPF TE LSAs.
  3.  Remove RFC 5340 from the references as it is not referenced.

I’m also send  a couple editorial suggestions off list.

Thanks,
Acee

From: Lsr <[email-masked]> on behalf of "Acee Lindem (acee)" <acee=[email-masked]>
Date: Monday, June 18, 2018 at 12:07 PM
To: "[email-masked]" <[email-masked]>
Subject: [Lsr] Working Group Last Call for OSPF LLS Extensions for Local Interface ID Advertisement - draft-ietf-ospf-lls-interface-id-02

This begins an LSR WG last call for the subject draft. Please send your
comments to this list prior to 12:00 AM GMT, July 3rd, 2018.

Thanks,
Acee

---

From: Peter Psenak <[email-masked]>
Date: Tue, 19 Jun 2018 10:35:48 +0200

Hi Acee,

On 18/06/18 20:51 , Acee Lindem (acee) wrote:
>  1. The normative text saying that the TLV MUST be included needs to be
>     changed from section 3.1. I’m sure you didn’t mean this since LLS
>     itself isn’t mandatory and this isn’t backward compatible.

changed to SHOULD.

>  2. Add a reference to RFC 8379 to section 2 or a new section indicating
>     that this mechanism suffers from many of the same shortcomings as
>     using OSPF TE LSAs.

RFC8379 specifies how to advertise the local/remote interface ID for the 
purpose of identifying the link by the remote routers. It does not 
suggest to use the Extended Link Opaque LSA as a discovery mechanism to 
find out what is the interface ID on the remote side of the link.

>  3. Remove RFC 5340 from the references as it is not referenced.

removed.

thanks,
Peter
> *From: *Lsr <[email-masked]> on behalf of "Acee Lindem (acee)"
> <acee=[email-masked]>
> *Date: *Monday, June 18, 2018 at 12:07 PM
> *To: *"[email-masked]" <[email-masked]>
> *Subject: *[Lsr] Working Group Last Call for OSPF LLS Extensions for
> Local Interface ID Advertisement - draft-ietf-ospf-lls-interface-id-02
>
> comments to this list prior to 12:00 AM GMT, July 3^rd , 2018.
>
> Thanks,
>
> Acee
>
>
>
> _______________________________________________
> Lsr mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/lsr
>